Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xpath.expr
Class FTNotIter

    java.lang.Object
      org.basex.query.ExprInfo
          org.basex.query.xpath.expr.Expr
              org.basex.query.xpath.expr.FTArrayExpr
                  org.basex.query.xpath.expr.FTNotIter

    public final class FTNotIter

extends FTArrayExpr

FTUnaryNotExprs. This expresses the mild combination of ftand and ftnot. The selection A not in B matches a token sequence that matches a, but not when it is part of b.

Author:
  Workgroup DBIS, University of Konstanz 2005-08, ISC License, Sebastian Gath

Field Summary

Fields inherited from class org.basex.query.xpath.expr.FTArrayExpr
`fto`

Constructor Summary
`FTNotIter(FTArrayExpr[] e)` Constructor.

Method Summary
`Bln` | `eval(XPContext ctx)` Evaluates the expression with the specified context set.
`boolean` | `more()` Checks for more results.
`FTNode` | `next(XPContext ctx)` Returns the next ftquery result.
`boolean` | `pos()` Checks whether the result of the expression is negative.

Methods inherited from class org.basex.query.xpath.expr.FTArrayExpr
`comp, indexEquivalent, indexOptions, plan, toString, usesPos, usesSize`

Methods inherited from class org.basex.query.xpath.expr.Expr
`indexSizes, returnedValue, sameAs`

Methods inherited from class org.basex.query.ExprInfo
`color, info, name`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FTNotIter

    public FTNotIter(FTArrayExpr[] e)

  Constructor.

  Parameters:
    `e` - operands joined with the mild not operator

Method Detail

### pos

    public boolean pos()

  Description copied from class: `FTArrayExpr`
  Checks whether the result of the expression is negative.

  Overrides:
    `pos` in class `FTArrayExpr`
  Returns:
    boolean

### eval

    public Bln eval(XPContext ctx)
             throws QueryException

  Description copied from class: `Expr`
  Evaluates the expression with the specified context set. Additionally provides a context

  Specified by:
    `eval` in class `Expr`
  Parameters:
    `ctx` - query context
  Returns:
    resulting XPathValue
  Throws:
    `QueryException` - evaluation exception

### next

    public FTNode next(XPContext ctx)

  Description copied from class: `FTArrayExpr`
  Returns the next ftquery result.

  Overrides:
    `next` in class `FTArrayExpr`
  Parameters:
    `ctx` - current context
  Returns:
    FTNode container for the next result

### more

    public boolean more()

  Description copied from class: `FTArrayExpr`
  Checks for more results.

  Overrides:
    `more` in class `FTArrayExpr`
  Returns:
    boolean

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD